Package com.logicaldoc.core.runtime

# Class FeatureDisabledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.runtime.FeatureDisabledException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AspectDisabledException`

public class FeatureDisabledException extends Exception
Raised when trying to use a disabled feature

Since:
  9.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FeatureDisabledException(Feature feature)`
`FeatureDisabledException(Feature feature, Throwable cause)`
`FeatureDisabledException(String featureId)`
`FeatureDisabledException(String featureId, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FeatureDisabledException

public FeatureDisabledException(Feature feature)

### FeatureDisabledException

public FeatureDisabledException(String featureId)

### FeatureDisabledException

public FeatureDisabledException(Feature feature, Throwable cause)

### FeatureDisabledException

public FeatureDisabledException(String featureId, Throwable cause)